io.agora.rtc

## Enum Constants.AudioProfile

- java.lang.Object
- - java.lang.Enum<Constants.AudioProfile>
  - - io.agora.rtc.Constants.AudioProfile

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AudioProfile>
  Enclosing class:
    Constants

      public static enum Constants.AudioProfile
      extends java.lang.Enum<Constants.AudioProfile>

  Sets the audio profile sampling rate, bitrate, encode mode, and the number of channels.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` 0: The default audio profile.
    `MUSIC_HIGH_QUALITY` 4: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 96 Kbps.
    `MUSIC_HIGH_QUALITY_STEREO` 5: A sample rate of 48 kHz, music encoding, stereo, and a bitrate of up to 128 Kbps.
    `MUSIC_STANDARD` 2: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 64 Kbps.
    `MUSIC_STANDARD_STEREO` 3: A sample rate of 48 kHz, music encoding, stereo, and a bitrate of up to 80 Kbps.
    `SPEECH_STANDARD` 1: A sample rate of 32 kHz, audio encoding, mono, and a bitrate up to 18 Kbps.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.AudioProfile type)`
    `static Constants.AudioProfile` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AudioProfile[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Constants.AudioProfile DEFAULT

      0: The default audio profile. - In the Communication profile, the default value is the same with `AUDIO_PROFILE_SPEECH_STANDARD`(1). - In the Live-broadcast profile, it represents a sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 64 Kbps.

    - #### SPEECH_STANDARD

          public static final Constants.AudioProfile SPEECH_STANDARD

      1: A sample rate of 32 kHz, audio encoding, mono, and a bitrate up to 18 Kbps.

    - #### MUSIC_STANDARD

          public static final Constants.AudioProfile MUSIC_STANDARD

      2: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 64 Kbps.

    - #### MUSIC_STANDARD_STEREO

          public static final Constants.AudioProfile MUSIC_STANDARD_STEREO

      3: A sample rate of 48 kHz, music encoding, stereo, and a bitrate of up to 80 Kbps.

    - #### MUSIC_HIGH_QUALITY

          public static final Constants.AudioProfile MUSIC_HIGH_QUALITY

      4: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 96 Kbps.

    - #### MUSIC_HIGH_QUALITY_STEREO

          public static final Constants.AudioProfile MUSIC_HIGH_QUALITY_STEREO

      5: A sample rate of 48 kHz, music encoding, stereo, and a bitrate of up to 128 Kbps.

  - ### Field Detail

    - #### value

          private int value

  - ### Method Detail

    - #### values

          public static Constants.AudioProfile[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AudioProfile c : Constants.AudioProfile.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AudioProfile valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.AudioProfile type)